Bug 63814 - Arrow-style can only be specified for right end of line for specific document
Summary: Arrow-style can only be specified for right end of line for specific document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Arrow_Style
  Show dependency treegraph
 
Reported: 2013-04-22 19:58 UTC by Clemens Eisserer
Modified: 2022-04-12 10:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
testcase drawing (7.92 KB, application/vnd.oasis.opendocument.graphics)
2013-04-22 19:58 UTC, Clemens Eisserer
Details
testcase drawing (7.92 KB, application/vnd.oasis.opendocument.graphics)
2013-04-22 20:00 UTC, Clemens Eisserer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Eisserer 2013-04-22 19:58:25 UTC
Created attachment 78345 [details]
testcase drawing

When trying to edit an odt-document generated by inkscape, it is not possible to add an arrow to both ends of a line. While an arrow will show up at the right end, no arrow is added at the left.

I've created a screencast to illustrate the issue: http://youtu.be/sMxke7sFTlw
Comment 1 Clemens Eisserer 2013-04-22 20:00:37 UTC
Created attachment 78346 [details]
testcase drawing

this time with correctly set mime-type
Comment 2 Joel Madero 2013-05-01 04:32:56 UTC
I can confirm this all the way back to 3.5.4 using bibisect so updating version as version is the oldest confirmed version.

There is a workaround (you can just add an arrow to the end of the line and adjust the size as needed). Strange thing is when you format the arrow it always shows it as the right side arrow, it seems like the entire left side arrow is non functional and maybe never was.

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

I have been able to confirm the issue on:
Platform: Bodhi Linux 2.2 x64
Bibisect: Earliest version (3.5.4)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Normal - despite having a workaround having the entire feature unuable seems quite bad.
High - see above :)


cc'ing Thorsten - Thorsten - this one seems quite strange so wanted to get you involved. Left arrow is essentially "just for show"

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 QA Administrators 2015-04-19 03:20:17 UTC Comment hidden (obsolete)
Comment 4 Clemens Eisserer 2015-04-19 18:18:05 UTC
Can still be reproduced with Libreoffice-4.4
Comment 5 QA Administrators 2016-09-20 09:32:17 UTC Comment hidden (obsolete)
Comment 6 Roman Kuznetsov 2018-06-17 13:20:07 UTC
still confirm for file in attach. in

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL

But this is NOTOURBUG imho, because file was created in Inkscape
Comment 7 Clemens Eisserer 2018-06-17 13:48:18 UTC
> But this is NOTOURBUG imho, because file was created in Inkscape

ODT is an open standard, so if the file generated by inkscape is valid, LibreOffice should be able to cope with it. Otherwise ODT is no better then Microsoft's OXML which also has only one reference implementation (MS Office).
Comment 8 Roman Kuznetsov 2018-06-17 13:54:55 UTC
(In reply to Clemens Eisserer from comment #7)
> > But this is NOTOURBUG imho, because file was created in Inkscape
> 
> ODT is an open standard, so if the file generated by inkscape is valid

if? Who can check its validity?

I tried today create odt in Inkscape 0.92.3. It just didn't save file in odt format.
Comment 9 QA Administrators 2020-12-11 03:47:26 UTC
Dear Clemens Eisserer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug